Skip to Content

GET /api/v1/charts/sales

Sales count per time bucket with Grails/OpenSea source breakdown.

Authentication: None

Cache: None

Query Parameters

ParameterTypeDefaultDescription
periodstring7d1d, 7d, 30d, 1y, all
clubstringFilter by club (comma-separated for multiple, e.g. 999,10k)

Sample Request

curl "https://api.grails.app/api/v1/charts/sales?period=30d&club=999"

Response

// 200 OK { "success": true, "data": { "period": "30d", "club": "999", "clubs": ["999"], "points": [ { "date": "2026-03-09T00:00:00.000Z", "total": 5, "grails": 3, "opensea": 2 }, { "date": "2026-03-10T00:00:00.000Z", "total": 0, "grails": 0, "opensea": 0 }, { "date": "2026-03-11T00:00:00.000Z", "total": 8, "grails": 6, "opensea": 2 } ] }, "meta": { "timestamp": "2026-04-09T00:00:00.000Z", "version": "1.0.0" } }
Last updated on